AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.7

Classes | Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
AMPS::Message Class Reference

Message encapsulates a single message sent to or received from an AMPS server, and provides methods for every header that can be present, whether or not that header will be populated or used in a particular context. More...

`#include <Message.hpp>`

## Classes
struct | AckType
| Valid values for the setAckTypeEnum() and getAckTypeEnum() methods. More...
struct | Command
| Valid values for setCommandEnum() and getCommandEnum(). More...
class | Options
| Class for constructing the options string to pass to AMPS in a Message. More...

## Public Types
enum | CtorFlag
| A flag to indicate not to create a body. More...

## Public Member Functions
| Message (CtorFlag)
| Constructs a new empty, invalid Message.
| Message (amps_handle message_, bool owner_=false)
| Constructs a new Message to wrap message. More...
| Message ()
| Construct a new, empty Message.
Message | deepCopy (void) const
| Returns a deep copy of self.
void | deepCopy (const Message &rhs_)
| Makes self a deep copy of rhs_.
unsigned | getAckTypeEnum () const
| Decode self's "ack type" field and return the corresponding bitmask of values from AckType. More...
Message & | setAckTypeEnum (unsigned ackType_)
| Encode self's "ack type" field from a bitmask of values from AckType. More...
Command::Type | getCommandEnum () const
| Decode self's "command" field and return one of the values from Command.
Message & | setCommandEnum (Command::Type command_)
| Set self's "command" field from one of the values in Command.
Field | getTransmissionTime () const
void | getRawTransmissionTime (const char **dataptr, size_t *sizeptr) const
Field | getData () const
| Returns the data from this message. More...
Message & | setData (const std::string &v_)
| Sets the data portion of self. More...
Message & | setData (const char *data_, size_t length_)
| Sets the data portion of self from a char array. More...
Message & | setData (const char *data_)
| Sets the data portion of self from a null-terminated string. More...
AckType Functions
Field | getAckType () const
| Retrieves the value of the AckType header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawAckType (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the AckType header of self in the underlying buffer managed by this Message. More...
Message & | setAckType (const std::string &v)
| Sets the value of the AckType header for this Message. More...
Message & | setAckType (amps_uint64_t v)
| Sets the value of the AckType header for this Message. More...
Message & | assignAckType (const std::string &v)
| Assigns the value of the AckType header for this Message without copying. More...
Message & | assignAckType (const char *data, size_t len)
| Assigns the value of the AckType header for this Message without copying. More...
Message & | assignOwnershipAckType (const Field &f)
| Assigns the value of the AckType header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setAckType (const char *str)
| Sets the value of the AckType header for this Message. More...
Message & | setAckType (const char *str, size_t len)
| Sets the value of the AckType header for this Message. More...
Message & | newAckType ()
| Creates and sets a new sequential value for the AckType header for this Message. More...
BatchSize Functions
Field | getBatchSize () const
| Retrieves the value of the BatchSize header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawBatchSize (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the BatchSize header of self in the underlying buffer managed by this Message. More...
Message & | setBatchSize (const std::string &v)
| Sets the value of the BatchSize header for this Message. More...
Message & | setBatchSize (amps_uint64_t v)
| Sets the value of the BatchSize header for this Message. More...
Message & | assignBatchSize (const std::string &v)
| Assigns the value of the BatchSize header for this Message without copying. More...
Message & | assignBatchSize (const char *data, size_t len)
| Assigns the value of the BatchSize header for this Message without copying. More...
Message & | assignOwnershipBatchSize (const Field &f)
| Assigns the value of the BatchSize header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setBatchSize (const char *str)
| Sets the value of the BatchSize header for this Message. More...
Message & | setBatchSize (const char *str, size_t len)
| Sets the value of the BatchSize header for this Message. More...
Message & | newBatchSize ()
| Creates and sets a new sequential value for the BatchSize header for this Message. More...
Bookmark Functions
Field | getBookmark () const
| Retrieves the value of the Bookmark header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawBookmark (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the Bookmark header of self in the underlying buffer managed by this Message. More...
Message & | setBookmark (const std::string &v)
| Sets the value of the Bookmark header for this Message. More...
Message & | setBookmark (amps_uint64_t v)
| Sets the value of the Bookmark header for this Message. More...
Message & | assignBookmark (const std::string &v)
| Assigns the value of the Bookmark header for this Message without copying. More...
Message & | assignBookmark (const char *data, size_t len)
| Assigns the value of the Bookmark header for this Message without copying. More...
Message & | assignOwnershipBookmark (const Field &f)
| Assigns the value of the Bookmark header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setBookmark (const char *str)
| Sets the value of the Bookmark header for this Message. More...
Message & | setBookmark (const char *str, size_t len)
| Sets the value of the Bookmark header for this Message. More...
Message & | newBookmark ()
| Creates and sets a new sequential value for the Bookmark header for this Message. More...
Command Functions
Field | getCommand () const
| Retrieves the value of the Command header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawCommand (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the Command header of self in the underlying buffer managed by this Message. More...
Message & | setCommand (const std::string &v)
| Sets the value of the Command header for this Message. More...
Message & | setCommand (amps_uint64_t v)
| Sets the value of the Command header for this Message. More...
Message & | assignCommand (const std::string &v)
| Assigns the value of the Command header for this Message without copying. More...
Message & | assignCommand (const char *data, size_t len)
| Assigns the value of the Command header for this Message without copying. More...
Message & | assignOwnershipCommand (const Field &f)
| Assigns the value of the Command header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setCommand (const char *str)
| Sets the value of the Command header for this Message. More...
Message & | setCommand (const char *str, size_t len)
| Sets the value of the Command header for this Message. More...
Message & | newCommand ()
| Creates and sets a new sequential value for the Command header for this Message. More...
CommandId Functions
Field | getCommandId () const
| Retrieves the value of the CommandId header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawCommandId (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the CommandId header of self in the underlying buffer managed by this Message. More...
Message & | setCommandId (const std::string &v)
| Sets the value of the CommandId header for this Message. More...
Message & | setCommandId (amps_uint64_t v)
| Sets the value of the CommandId header for this Message. More...
Message & | assignCommandId (const std::string &v)
| Assigns the value of the CommandId header for this Message without copying. More...
Message & | assignCommandId (const char *data, size_t len)
| Assigns the value of the CommandId header for this Message without copying. More...
Message & | assignOwnershipCommandId (const Field &f)
| Assigns the value of the CommandId header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setCommandId (const char *str)
| Sets the value of the CommandId header for this Message. More...
Message & | setCommandId (const char *str, size_t len)
| Sets the value of the CommandId header for this Message. More...
Message & | newCommandId ()
| Creates and sets a new sequential value for the CommandId header for this Message. More...
ClientName Functions
Field | getClientName () const
| Retrieves the value of the ClientName header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawClientName (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the ClientName header of self in the underlying buffer managed by this Message. More...
Message & | setClientName (const std::string &v)
| Sets the value of the ClientName header for this Message. More...
Message & | setClientName (amps_uint64_t v)
| Sets the value of the ClientName header for this Message. More...
Message & | assignClientName (const std::string &v)
| Assigns the value of the ClientName header for this Message without copying. More...
Message & | assignClientName (const char *data, size_t len)
| Assigns the value of the ClientName header for this Message without copying. More...
Message & | assignOwnershipClientName (const Field &f)
| Assigns the value of the ClientName header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setClientName (const char *str)
| Sets the value of the ClientName header for this Message. More...
Message & | setClientName (const char *str, size_t len)
| Sets the value of the ClientName header for this Message. More...
Message & | newClientName ()
| Creates and sets a new sequential value for the ClientName header for this Message. More...
CorrelationId Functions
Field | getCorrelationId () const
| Retrieves the value of the CorrelationId header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawCorrelationId (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the CorrelationId header of self in the underlying buffer managed by this Message. More...
Message & | setCorrelationId (const std::string &v)
| Sets the value of the CorrelationId header for this Message. More...
Message & | setCorrelationId (amps_uint64_t v)
| Sets the value of the CorrelationId header for this Message. More...
Message & | assignCorrelationId (const std::string &v)
| Assigns the value of the CorrelationId header for this Message without copying. More...
Message & | assignCorrelationId (const char *data, size_t len)
| Assigns the value of the CorrelationId header for this Message without copying. More...
Message & | assignOwnershipCorrelationId (const Field &f)
| Assigns the value of the CorrelationId header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setCorrelationId (const char *str)
| Sets the value of the CorrelationId header for this Message. More...
Message & | setCorrelationId (const char *str, size_t len)
| Sets the value of the CorrelationId header for this Message. More...
Message & | newCorrelationId ()
| Creates and sets a new sequential value for the CorrelationId header for this Message. More...
Expiration Functions
Field | getExpiration () const
| Retrieves the value of the Expiration header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawExpiration (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the Expiration header of self in the underlying buffer managed by this Message. More...
Message & | setExpiration (const std::string &v)
| Sets the value of the Expiration header for this Message. More...
Message & | setExpiration (amps_uint64_t v)
| Sets the value of the Expiration header for this Message. More...
Message & | assignExpiration (const std::string &v)
| Assigns the value of the Expiration header for this Message without copying. More...
Message & | assignExpiration (const char *data, size_t len)
| Assigns the value of the Expiration header for this Message without copying. More...
Message & | assignOwnershipExpiration (const Field &f)
| Assigns the value of the Expiration header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setExpiration (const char *str)
| Sets the value of the Expiration header for this Message. More...
Message & | setExpiration (const char *str, size_t len)
| Sets the value of the Expiration header for this Message. More...
Message & | newExpiration ()
| Creates and sets a new sequential value for the Expiration header for this Message. More...
Filter Functions
Field | getFilter () const
| Retrieves the value of the Filter header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawFilter (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the Filter header of self in the underlying buffer managed by this Message. More...
Message & | setFilter (const std::string &v)
| Sets the value of the Filter header for this Message. More...
Message & | setFilter (amps_uint64_t v)
| Sets the value of the Filter header for this Message. More...
Message & | assignFilter (const std::string &v)
| Assigns the value of the Filter header for this Message without copying. More...
Message & | assignFilter (const char *data, size_t len)
| Assigns the value of the Filter header for this Message without copying. More...
Message & | assignOwnershipFilter (const Field &f)
| Assigns the value of the Filter header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setFilter (const char *str)
| Sets the value of the Filter header for this Message. More...
Message & | setFilter (const char *str, size_t len)
| Sets the value of the Filter header for this Message. More...
Message & | newFilter ()
| Creates and sets a new sequential value for the Filter header for this Message. More...
GroupSequenceNumber Functions
Field | getGroupSequenceNumber () const
| Retrieves the value of the GroupSequenceNumber header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawGroupSequenceNumber (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the GroupSequenceNumber header of self in the underlying buffer managed by this Message. More...
Message & | setGroupSequenceNumber (const std::string &v)
| Sets the value of the GroupSequenceNumber header for this Message. More...
Message & | setGroupSequenceNumber (amps_uint64_t v)
| Sets the value of the GroupSequenceNumber header for this Message. More...
Message & | assignGroupSequenceNumber (const std::string &v)
| Assigns the value of the GroupSequenceNumber header for this Message without copying. More...
Message & | assignGroupSequenceNumber (const char *data, size_t len)
| Assigns the value of the GroupSequenceNumber header for this Message without copying. More...
Message & | assignOwnershipGroupSequenceNumber (const Field &f)
| Assigns the value of the GroupSequenceNumber header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setGroupSequenceNumber (const char *str)
| Sets the value of the GroupSequenceNumber header for this Message. More...
Message & | setGroupSequenceNumber (const char *str, size_t len)
| Sets the value of the GroupSequenceNumber header for this Message. More...
Message & | newGroupSequenceNumber ()
| Creates and sets a new sequential value for the GroupSequenceNumber header for this Message. More...
Heartbeat Functions
Field | getHeartbeat () const
| Retrieves the value of the Heartbeat header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawHeartbeat (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the Heartbeat header of self in the underlying buffer managed by this Message. More...
Message & | setHeartbeat (const std::string &v)
| Sets the value of the Heartbeat header for this Message. More...
Message & | setHeartbeat (amps_uint64_t v)
| Sets the value of the Heartbeat header for this Message. More...
Message & | assignHeartbeat (const std::string &v)
| Assigns the value of the Heartbeat header for this Message without copying. More...
Message & | assignHeartbeat (const char *data, size_t len)
| Assigns the value of the Heartbeat header for this Message without copying. More...
Message & | assignOwnershipHeartbeat (const Field &f)
| Assigns the value of the Heartbeat header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setHeartbeat (const char *str)
| Sets the value of the Heartbeat header for this Message. More...
Message & | setHeartbeat (const char *str, size_t len)
| Sets the value of the Heartbeat header for this Message. More...
Message & | newHeartbeat ()
| Creates and sets a new sequential value for the Heartbeat header for this Message. More...
LeasePeriod Functions
Field | getLeasePeriod () const
| Retrieves the value of the LeasePeriod header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawLeasePeriod (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the LeasePeriod header of self in the underlying buffer managed by this Message. More...
Message & | setLeasePeriod (const std::string &v)
| Sets the value of the LeasePeriod header for this Message. More...
Message & | setLeasePeriod (amps_uint64_t v)
| Sets the value of the LeasePeriod header for this Message. More...
Message & | assignLeasePeriod (const std::string &v)
| Assigns the value of the LeasePeriod header for this Message without copying. More...
Message & | assignLeasePeriod (const char *data, size_t len)
| Assigns the value of the LeasePeriod header for this Message without copying. More...
Message & | assignOwnershipLeasePeriod (const Field &f)
| Assigns the value of the LeasePeriod header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setLeasePeriod (const char *str)
| Sets the value of the LeasePeriod header for this Message. More...
Message & | setLeasePeriod (const char *str, size_t len)
| Sets the value of the LeasePeriod header for this Message. More...
Message & | newLeasePeriod ()
| Creates and sets a new sequential value for the LeasePeriod header for this Message. More...
Matches Functions
Field | getMatches () const
| Retrieves the value of the Matches header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawMatches (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the Matches header of self in the underlying buffer managed by this Message. More...
Message & | setMatches (const std::string &v)
| Sets the value of the Matches header for this Message. More...
Message & | setMatches (amps_uint64_t v)
| Sets the value of the Matches header for this Message. More...
Message & | assignMatches (const std::string &v)
| Assigns the value of the Matches header for this Message without copying. More...
Message & | assignMatches (const char *data, size_t len)
| Assigns the value of the Matches header for this Message without copying. More...
Message & | assignOwnershipMatches (const Field &f)
| Assigns the value of the Matches header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setMatches (const char *str)
| Sets the value of the Matches header for this Message. More...
Message & | setMatches (const char *str, size_t len)
| Sets the value of the Matches header for this Message. More...
Message & | newMatches ()
| Creates and sets a new sequential value for the Matches header for this Message. More...
MessageLength Functions
Field | getMessageLength () const
| Retrieves the value of the MessageLength header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawMessageLength (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the MessageLength header of self in the underlying buffer managed by this Message. More...
Message & | setMessageLength (const std::string &v)
| Sets the value of the MessageLength header for this Message. More...
Message & | setMessageLength (amps_uint64_t v)
| Sets the value of the MessageLength header for this Message. More...
Message & | assignMessageLength (const std::string &v)
| Assigns the value of the MessageLength header for this Message without copying. More...
Message & | assignMessageLength (const char *data, size_t len)
| Assigns the value of the MessageLength header for this Message without copying. More...
Message & | assignOwnershipMessageLength (const Field &f)
| Assigns the value of the MessageLength header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setMessageLength (const char *str)
| Sets the value of the MessageLength header for this Message. More...
Message & | setMessageLength (const char *str, size_t len)
| Sets the value of the MessageLength header for this Message. More...
Message & | newMessageLength ()
| Creates and sets a new sequential value for the MessageLength header for this Message. More...
MessageType Functions
Field | getMessageType () const
| Retrieves the value of the MessageType header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawMessageType (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the MessageType header of self in the underlying buffer managed by this Message. More...
Message & | setMessageType (const std::string &v)
| Sets the value of the MessageType header for this Message. More...
Message & | setMessageType (amps_uint64_t v)
| Sets the value of the MessageType header for this Message. More...
Message & | assignMessageType (const std::string &v)
| Assigns the value of the MessageType header for this Message without copying. More...
Message & | assignMessageType (const char *data, size_t len)
| Assigns the value of the MessageType header for this Message without copying. More...
Message & | assignOwnershipMessageType (const Field &f)
| Assigns the value of the MessageType header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setMessageType (const char *str)
| Sets the value of the MessageType header for this Message. More...
Message & | setMessageType (const char *str, size_t len)
| Sets the value of the MessageType header for this Message. More...
Message & | newMessageType ()
| Creates and sets a new sequential value for the MessageType header for this Message. More...
Options Functions
Field | getOptions () const
| Retrieves the value of the Options header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawOptions (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the Options header of self in the underlying buffer managed by this Message. More...
Message & | setOptions (const std::string &v)
| Sets the value of the Options header for this Message. More...
Message & | assignOptions (const std::string &v)
| Assigns the value of the Options header for this Message without copying. More...
Message & | assignOptions (const char *data, size_t len)
| Assigns the value of the Options header for this Message without copying. More...
Message & | setOptions (const char *str)
| Sets the value of the Options header for this Message. More...
Message & | setOptions (const char *str, size_t len)
| Sets the value of the Options header for this Message. More...
OrderBy Functions
Field | getOrderBy () const
| Retrieves the value of the OrderBy header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawOrderBy (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the OrderBy header of self in the underlying buffer managed by this Message. More...
Message & | setOrderBy (const std::string &v)
| Sets the value of the OrderBy header for this Message. More...
Message & | setOrderBy (amps_uint64_t v)
| Sets the value of the OrderBy header for this Message. More...
Message & | assignOrderBy (const std::string &v)
| Assigns the value of the OrderBy header for this Message without copying. More...
Message & | assignOrderBy (const char *data, size_t len)
| Assigns the value of the OrderBy header for this Message without copying. More...
Message & | assignOwnershipOrderBy (const Field &f)
| Assigns the value of the OrderBy header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setOrderBy (const char *str)
| Sets the value of the OrderBy header for this Message. More...
Message & | setOrderBy (const char *str, size_t len)
| Sets the value of the OrderBy header for this Message. More...
Message & | newOrderBy ()
| Creates and sets a new sequential value for the OrderBy header for this Message. More...
Password Functions
Field | getPassword () const
| Retrieves the value of the Password header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawPassword (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the Password header of self in the underlying buffer managed by this Message. More...
Message & | setPassword (const std::string &v)
| Sets the value of the Password header for this Message. More...
Message & | setPassword (amps_uint64_t v)
| Sets the value of the Password header for this Message. More...
Message & | assignPassword (const std::string &v)
| Assigns the value of the Password header for this Message without copying. More...
Message & | assignPassword (const char *data, size_t len)
| Assigns the value of the Password header for this Message without copying. More...
Message & | assignOwnershipPassword (const Field &f)
| Assigns the value of the Password header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setPassword (const char *str)
| Sets the value of the Password header for this Message. More...
Message & | setPassword (const char *str, size_t len)
| Sets the value of the Password header for this Message. More...
Message & | newPassword ()
| Creates and sets a new sequential value for the Password header for this Message. More...
QueryID Functions
Field | getQueryID () const
| Retrieves the value of the QueryID header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawQueryID (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the QueryID header of self in the underlying buffer managed by this Message. More...
Message & | setQueryID (const std::string &v)
| Sets the value of the QueryID header for this Message. More...
Message & | setQueryID (amps_uint64_t v)
| Sets the value of the QueryID header for this Message. More...
Message & | assignQueryID (const std::string &v)
| Assigns the value of the QueryID header for this Message without copying. More...
Message & | assignQueryID (const char *data, size_t len)
| Assigns the value of the QueryID header for this Message without copying. More...
Message & | setQueryID (const char *str)
| Sets the value of the QueryID header for this Message. More...
Message & | setQueryID (const char *str, size_t len)
| Sets the value of the QueryID header for this Message. More...
Message & | newQueryID ()
| Creates and sets a new sequential value for the QueryID header for this Message. More...
Field | getQueryId () const
| Retrieves the value of the QueryID header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawQueryId (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the QueryID header of self in the underlying buffer managed by this Message. More...
Message & | setQueryId (const std::string &v)
| Sets the value of the QueryID header for this Message. More...
Message & | setQueryId (amps_uint64_t v)
| Sets the value of the QueryID header for this Message. More...
Message & | assignQueryId (const std::string &v)
| Assigns the value of the QueryID header for this Message without copying. More...
Message & | assignQueryId (const char *data, size_t len)
| Assigns the value of the QueryID header for this Message without copying. More...
Message & | setQueryId (const char *str)
| Sets the value of the QueryID header for this Message. More...
Message & | setQueryId (const char *str, size_t len)
| Sets the value of the QueryID header for this Message. More...
Message & | newQueryId ()
| Creates and sets a new sequential value for the QueryID header for this Message. More...
Reason Functions
Field | getReason () const
| Retrieves the value of the Reason header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawReason (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the Reason header of self in the underlying buffer managed by this Message. More...
Message & | setReason (const std::string &v)
| Sets the value of the Reason header for this Message. More...
Message & | setReason (amps_uint64_t v)
| Sets the value of the Reason header for this Message. More...
Message & | assignReason (const std::string &v)
| Assigns the value of the Reason header for this Message without copying. More...
Message & | assignReason (const char *data, size_t len)
| Assigns the value of the Reason header for this Message without copying. More...
Message & | assignOwnershipReason (const Field &f)
| Assigns the value of the Reason header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setReason (const char *str)
| Sets the value of the Reason header for this Message. More...
Message & | setReason (const char *str, size_t len)
| Sets the value of the Reason header for this Message. More...
Message & | newReason ()
| Creates and sets a new sequential value for the Reason header for this Message. More...
RecordsInserted Functions
Field | getRecordsInserted () const
| Retrieves the value of the RecordsInserted header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawRecordsInserted (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the RecordsInserted header of self in the underlying buffer managed by this Message. More...
Message & | setRecordsInserted (const std::string &v)
| Sets the value of the RecordsInserted header for this Message. More...
Message & | setRecordsInserted (amps_uint64_t v)
| Sets the value of the RecordsInserted header for this Message. More...
Message & | assignRecordsInserted (const std::string &v)
| Assigns the value of the RecordsInserted header for this Message without copying. More...
Message & | assignRecordsInserted (const char *data, size_t len)
| Assigns the value of the RecordsInserted header for this Message without copying. More...
Message & | assignOwnershipRecordsInserted (const Field &f)
| Assigns the value of the RecordsInserted header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setRecordsInserted (const char *str)
| Sets the value of the RecordsInserted header for this Message. More...
Message & | setRecordsInserted (const char *str, size_t len)
| Sets the value of the RecordsInserted header for this Message. More...
Message & | newRecordsInserted ()
| Creates and sets a new sequential value for the RecordsInserted header for this Message. More...
RecordsReturned Functions
Field | getRecordsReturned () const
| Retrieves the value of the RecordsReturned header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawRecordsReturned (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the RecordsReturned header of self in the underlying buffer managed by this Message. More...
Message & | setRecordsReturned (const std::string &v)
| Sets the value of the RecordsReturned header for this Message. More...
Message & | setRecordsReturned (amps_uint64_t v)
| Sets the value of the RecordsReturned header for this Message. More...
Message & | assignRecordsReturned (const std::string &v)
| Assigns the value of the RecordsReturned header for this Message without copying. More...
Message & | assignRecordsReturned (const char *data, size_t len)
| Assigns the value of the RecordsReturned header for this Message without copying. More...
Message & | assignOwnershipRecordsReturned (const Field &f)
| Assigns the value of the RecordsReturned header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setRecordsReturned (const char *str)
| Sets the value of the RecordsReturned header for this Message. More...
Message & | setRecordsReturned (const char *str, size_t len)
| Sets the value of the RecordsReturned header for this Message. More...
Message & | newRecordsReturned ()
| Creates and sets a new sequential value for the RecordsReturned header for this Message. More...
RecordsUpdated Functions
Field | getRecordsUpdated () const
| Retrieves the value of the RecordsUpdated header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawRecordsUpdated (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the RecordsUpdated header of self in the underlying buffer managed by this Message. More...
Message & | setRecordsUpdated (const std::string &v)
| Sets the value of the RecordsUpdated header for this Message. More...
Message & | setRecordsUpdated (amps_uint64_t v)
| Sets the value of the RecordsUpdated header for this Message. More...
Message & | assignRecordsUpdated (const std::string &v)
| Assigns the value of the RecordsUpdated header for this Message without copying. More...
Message & | assignRecordsUpdated (const char *data, size_t len)
| Assigns the value of the RecordsUpdated header for this Message without copying. More...
Message & | assignOwnershipRecordsUpdated (const Field &f)
| Assigns the value of the RecordsUpdated header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setRecordsUpdated (const char *str)
| Sets the value of the RecordsUpdated header for this Message. More...
Message & | setRecordsUpdated (const char *str, size_t len)
| Sets the value of the RecordsUpdated header for this Message. More...
Message & | newRecordsUpdated ()
| Creates and sets a new sequential value for the RecordsUpdated header for this Message. More...
Sequence Functions
Field | getSequence () const
| Retrieves the value of the Sequence header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawSequence (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the Sequence header of self in the underlying buffer managed by this Message. More...
Message & | setSequence (const std::string &v)
| Sets the value of the Sequence header for this Message. More...
Message & | setSequence (amps_uint64_t v)
| Sets the value of the Sequence header for this Message. More...
Message & | assignSequence (const std::string &v)
| Assigns the value of the Sequence header for this Message without copying. More...
Message & | assignSequence (const char *data, size_t len)
| Assigns the value of the Sequence header for this Message without copying. More...
Message & | assignOwnershipSequence (const Field &f)
| Assigns the value of the Sequence header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setSequence (const char *str)
| Sets the value of the Sequence header for this Message. More...
Message & | setSequence (const char *str, size_t len)
| Sets the value of the Sequence header for this Message. More...
Message & | newSequence ()
| Creates and sets a new sequential value for the Sequence header for this Message. More...
SowDelete Functions
Field | getSowDelete () const
| Retrieves the value of the SowDelete header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawSowDelete (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the SowDelete header of self in the underlying buffer managed by this Message. More...
Message & | setSowDelete (const std::string &v)
| Sets the value of the SowDelete header for this Message. More...
Message & | setSowDelete (amps_uint64_t v)
| Sets the value of the SowDelete header for this Message. More...
Message & | assignSowDelete (const std::string &v)
| Assigns the value of the SowDelete header for this Message without copying. More...
Message & | assignSowDelete (const char *data, size_t len)
| Assigns the value of the SowDelete header for this Message without copying. More...
Message & | assignOwnershipSowDelete (const Field &f)
| Assigns the value of the SowDelete header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setSowDelete (const char *str)
| Sets the value of the SowDelete header for this Message. More...
Message & | setSowDelete (const char *str, size_t len)
| Sets the value of the SowDelete header for this Message. More...
Message & | newSowDelete ()
| Creates and sets a new sequential value for the SowDelete header for this Message. More...
SowKey Functions
Field | getSowKey () const
| Retrieves the value of the SowKey header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawSowKey (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the SowKey header of self in the underlying buffer managed by this Message. More...
Message & | setSowKey (const std::string &v)
| Sets the value of the SowKey header for this Message. More...
Message & | setSowKey (amps_uint64_t v)
| Sets the value of the SowKey header for this Message. More...
Message & | assignSowKey (const std::string &v)
| Assigns the value of the SowKey header for this Message without copying. More...
Message & | assignSowKey (const char *data, size_t len)
| Assigns the value of the SowKey header for this Message without copying. More...
Message & | assignOwnershipSowKey (const Field &f)
| Assigns the value of the SowKey header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setSowKey (const char *str)
| Sets the value of the SowKey header for this Message. More...
Message & | setSowKey (const char *str, size_t len)
| Sets the value of the SowKey header for this Message. More...
Message & | newSowKey ()
| Creates and sets a new sequential value for the SowKey header for this Message. More...
SowKeys Functions
Field | getSowKeys () const
| Retrieves the value of the SowKeys header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawSowKeys (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the SowKeys header of self in the underlying buffer managed by this Message. More...
Message & | setSowKeys (const std::string &v)
| Sets the value of the SowKeys header for this Message. More...
Message & | setSowKeys (amps_uint64_t v)
| Sets the value of the SowKeys header for this Message. More...
Message & | assignSowKeys (const std::string &v)
| Assigns the value of the SowKeys header for this Message without copying. More...
Message & | assignSowKeys (const char *data, size_t len)
| Assigns the value of the SowKeys header for this Message without copying. More...
Message & | assignOwnershipSowKeys (const Field &f)
| Assigns the value of the SowKeys header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setSowKeys (const char *str)
| Sets the value of the SowKeys header for this Message. More...
Message & | setSowKeys (const char *str, size_t len)
| Sets the value of the SowKeys header for this Message. More...
Message & | newSowKeys ()
| Creates and sets a new sequential value for the SowKeys header for this Message. More...
Status Functions
Field | getStatus () const
| Retrieves the value of the Status header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawStatus (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the Status header of self in the underlying buffer managed by this Message. More...
Message & | setStatus (const std::string &v)
| Sets the value of the Status header for this Message. More...
Message & | setStatus (amps_uint64_t v)
| Sets the value of the Status header for this Message. More...
Message & | assignStatus (const std::string &v)
| Assigns the value of the Status header for this Message without copying. More...
Message & | assignStatus (const char *data, size_t len)
| Assigns the value of the Status header for this Message without copying. More...
Message & | assignOwnershipStatus (const Field &f)
| Assigns the value of the Status header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setStatus (const char *str)
| Sets the value of the Status header for this Message. More...
Message & | setStatus (const char *str, size_t len)
| Sets the value of the Status header for this Message. More...
Message & | newStatus ()
| Creates and sets a new sequential value for the Status header for this Message. More...
SubscriptionId Functions
Field | getSubscriptionId () const
| Retrieves the value of the SubscriptionId header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawSubscriptionId (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the SubscriptionId header of self in the underlying buffer managed by this Message. More...
Message & | setSubscriptionId (const std::string &v)
| Sets the value of the SubscriptionId header for this Message. More...
Message & | setSubscriptionId (amps_uint64_t v)
| Sets the value of the SubscriptionId header for this Message. More...
Message & | assignSubscriptionId (const std::string &v)
| Assigns the value of the SubscriptionId header for this Message without copying. More...
Message & | assignSubscriptionId (const char *data, size_t len)
| Assigns the value of the SubscriptionId header for this Message without copying. More...
Message & | setSubscriptionId (const char *str)
| Sets the value of the SubscriptionId header for this Message. More...
Message & | setSubscriptionId (const char *str, size_t len)
| Sets the value of the SubscriptionId header for this Message. More...
Message & | newSubscriptionId ()
| Creates and sets a new sequential value for the SubscriptionId header for this Message. More...
Field | getSubId () const
| Retrieves the value of the SubscriptionId header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawSubId (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the SubscriptionId header of self in the underlying buffer managed by this Message. More...
Message & | setSubId (const std::string &v)
| Sets the value of the SubscriptionId header for this Message. More...
Message & | setSubId (amps_uint64_t v)
| Sets the value of the SubscriptionId header for this Message. More...
Message & | assignSubId (const std::string &v)
| Assigns the value of the SubscriptionId header for this Message without copying. More...
Message & | assignSubId (const char *data, size_t len)
| Assigns the value of the SubscriptionId header for this Message without copying. More...
Message & | setSubId (const char *str)
| Sets the value of the SubscriptionId header for this Message. More...
Message & | setSubId (const char *str, size_t len)
| Sets the value of the SubscriptionId header for this Message. More...
Message & | newSubId ()
| Creates and sets a new sequential value for the SubscriptionId header for this Message. More...
SubscriptionIds Functions
Field | getSubscriptionIds () const
| Retrieves the value of the SubscriptionIds header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawSubscriptionIds (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the SubscriptionIds header of self in the underlying buffer managed by this Message. More...
Message & | setSubscriptionIds (const std::string &v)
| Sets the value of the SubscriptionIds header for this Message. More...
Message & | setSubscriptionIds (amps_uint64_t v)
| Sets the value of the SubscriptionIds header for this Message. More...
Message & | assignSubscriptionIds (const std::string &v)
| Assigns the value of the SubscriptionIds header for this Message without copying. More...
Message & | assignSubscriptionIds (const char *data, size_t len)
| Assigns the value of the SubscriptionIds header for this Message without copying. More...
Message & | assignOwnershipSubscriptionIds (const Field &f)
| Assigns the value of the SubscriptionIds header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setSubscriptionIds (const char *str)
| Sets the value of the SubscriptionIds header for this Message. More...
Message & | setSubscriptionIds (const char *str, size_t len)
| Sets the value of the SubscriptionIds header for this Message. More...
Message & | newSubscriptionIds ()
| Creates and sets a new sequential value for the SubscriptionIds header for this Message. More...
TimeoutInterval Functions
Field | getTimeoutInterval () const
| Retrieves the value of the TimeoutInterval header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawTimeoutInterval (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the TimeoutInterval header of self in the underlying buffer managed by this Message. More...
Message & | setTimeoutInterval (const std::string &v)
| Sets the value of the TimeoutInterval header for this Message. More...
Message & | setTimeoutInterval (amps_uint64_t v)
| Sets the value of the TimeoutInterval header for this Message. More...
Message & | assignTimeoutInterval (const std::string &v)
| Assigns the value of the TimeoutInterval header for this Message without copying. More...
Message & | assignTimeoutInterval (const char *data, size_t len)
| Assigns the value of the TimeoutInterval header for this Message without copying. More...
Message & | assignOwnershipTimeoutInterval (const Field &f)
| Assigns the value of the TimeoutInterval header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setTimeoutInterval (const char *str)
| Sets the value of the TimeoutInterval header for this Message. More...
Message & | setTimeoutInterval (const char *str, size_t len)
| Sets the value of the TimeoutInterval header for this Message. More...
Message & | newTimeoutInterval ()
| Creates and sets a new sequential value for the TimeoutInterval header for this Message. More...
Timestamp Functions
Field | getTimestamp () const
| Retrieves the value of the Timestamp header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawTimestamp (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the Timestamp header of self in the underlying buffer managed by this Message. More...
Message & | setTimestamp (const std::string &v)
| Sets the value of the Timestamp header for this Message. More...
Message & | setTimestamp (amps_uint64_t v)
| Sets the value of the Timestamp header for this Message. More...
Message & | assignTimestamp (const std::string &v)
| Assigns the value of the Timestamp header for this Message without copying. More...
Message & | assignTimestamp (const char *data, size_t len)
| Assigns the value of the Timestamp header for this Message without copying. More...
Message & | assignOwnershipTimestamp (const Field &f)
| Assigns the value of the Timestamp header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setTimestamp (const char *str)
| Sets the value of the Timestamp header for this Message. More...
Message & | setTimestamp (const char *str, size_t len)
| Sets the value of the Timestamp header for this Message. More...
Message & | newTimestamp ()
| Creates and sets a new sequential value for the Timestamp header for this Message. More...
Topic Functions
Field | getTopic () const
| Retrieves the value of the Topic header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawTopic (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the Topic header of self in the underlying buffer managed by this Message. More...
Message & | setTopic (const std::string &v)
| Sets the value of the Topic header for this Message. More...
Message & | setTopic (amps_uint64_t v)
| Sets the value of the Topic header for this Message. More...
Message & | assignTopic (const std::string &v)
| Assigns the value of the Topic header for this Message without copying. More...
Message & | assignTopic (const char *data, size_t len)
| Assigns the value of the Topic header for this Message without copying. More...
Message & | assignOwnershipTopic (const Field &f)
| Assigns the value of the Topic header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setTopic (const char *str)
| Sets the value of the Topic header for this Message. More...
Message & | setTopic (const char *str, size_t len)
| Sets the value of the Topic header for this Message. More...
Message & | newTopic ()
| Creates and sets a new sequential value for the Topic header for this Message. More...
TopicMatches Functions
Field | getTopicMatches () const
| Retrieves the value of the TopicMatches header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawTopicMatches (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the TopicMatches header of self in the underlying buffer managed by this Message. More...
Message & | setTopicMatches (const std::string &v)
| Sets the value of the TopicMatches header for this Message. More...
Message & | setTopicMatches (amps_uint64_t v)
| Sets the value of the TopicMatches header for this Message. More...
Message & | assignTopicMatches (const std::string &v)
| Assigns the value of the TopicMatches header for this Message without copying. More...
Message & | assignTopicMatches (const char *data, size_t len)
| Assigns the value of the TopicMatches header for this Message without copying. More...
Message & | assignOwnershipTopicMatches (const Field &f)
| Assigns the value of the TopicMatches header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setTopicMatches (const char *str)
| Sets the value of the TopicMatches header for this Message. More...
Message & | setTopicMatches (const char *str, size_t len)
| Sets the value of the TopicMatches header for this Message. More...
Message & | newTopicMatches ()
| Creates and sets a new sequential value for the TopicMatches header for this Message. More...
TopNRecordsReturned Functions
Field | getTopNRecordsReturned () const
| Retrieves the value of the TopNRecordsReturned header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawTopNRecordsReturned (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the TopNRecordsReturned header of self in the underlying buffer managed by this Message. More...
Message & | setTopNRecordsReturned (const std::string &v)
| Sets the value of the TopNRecordsReturned header for this Message. More...
Message & | setTopNRecordsReturned (amps_uint64_t v)
| Sets the value of the TopNRecordsReturned header for this Message. More...
Message & | assignTopNRecordsReturned (const std::string &v)
| Assigns the value of the TopNRecordsReturned header for this Message without copying. More...
Message & | assignTopNRecordsReturned (const char *data, size_t len)
| Assigns the value of the TopNRecordsReturned header for this Message without copying. More...
Message & | assignOwnershipTopNRecordsReturned (const Field &f)
| Assigns the value of the TopNRecordsReturned header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setTopNRecordsReturned (const char *str)
| Sets the value of the TopNRecordsReturned header for this Message. More...
Message & | setTopNRecordsReturned (const char *str, size_t len)
| Sets the value of the TopNRecordsReturned header for this Message. More...
Message & | newTopNRecordsReturned ()
| Creates and sets a new sequential value for the TopNRecordsReturned header for this Message. More...
Version Functions
Field | getVersion () const
| Retrieves the value of the Version header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawVersion (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the Version header of self in the underlying buffer managed by this Message. More...
Message & | setVersion (const std::string &v)
| Sets the value of the Version header for this Message. More...
Message & | setVersion (amps_uint64_t v)
| Sets the value of the Version header for this Message. More...
Message & | assignVersion (const std::string &v)
| Assigns the value of the Version header for this Message without copying. More...
Message & | assignVersion (const char *data, size_t len)
| Assigns the value of the Version header for this Message without copying. More...
Message & | assignOwnershipVersion (const Field &f)
| Assigns the value of the Version header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setVersion (const char *str)
| Sets the value of the Version header for this Message. More...
Message & | setVersion (const char *str, size_t len)
| Sets the value of the Version header for this Message. More...
Message & | newVersion ()
| Creates and sets a new sequential value for the Version header for this Message. More...
UserId Functions
Field | getUserId () const
| Retrieves the value of the UserId header of the Message as a Field which references the underlying buffer managed by this Message. More...
void | getRawUserId (const char **dataptr, size_t *sizeptr) const
| Modifies the passed in arguments to reference the value of the UserId header of self in the underlying buffer managed by this Message. More...
Message & | setUserId (const std::string &v)
| Sets the value of the UserId header for this Message. More...
Message & | setUserId (amps_uint64_t v)
| Sets the value of the UserId header for this Message. More...
Message & | assignUserId (const std::string &v)
| Assigns the value of the UserId header for this Message without copying. More...
Message & | assignUserId (const char *data, size_t len)
| Assigns the value of the UserId header for this Message without copying. More...
Message & | assignOwnershipUserId (const Field &f)
| Assigns the value of the UserId header for this Message without copying and makes this Message responsible for deleting the value. More...
Message & | setUserId (const char *str)
| Sets the value of the UserId header for this Message. More...
Message & | setUserId (const char *str, size_t len)
| Sets the value of the UserId header for this Message. More...
Message & | newUserId ()
| Creates and sets a new sequential value for the UserId header for this Message. More...

## Static Public Member Functions
static AckType::Type | decodeSingleAckType (const char *begin, const char *end)
| Decodes a single ack string. More...

## Static Public Attributes
static const unsigned int | IdentifierLength = 32
| The length of identifiers used for unique identification of commands and subscriptions.
static const size_t | BOOKMARK_NONE = AMPS_UNSET_INDEX
| An indicator of no bookmark value.

## Detailed Description

Message encapsulates a single message sent to or received from an AMPS server, and provides methods for every header that can be present, whether or not that header will be populated or used in a particular context.

Applications typically use a Command to create outgoing requests to AMPS, and receive instances of Message in response.

The AMPS Command Reference provides details on which headers are used by AMPS and which will be populated on messages received from AMPS, depending on the command the Message responds to, the options and headers set on that command, and the type of the response Message.

Message is based on a handle-body metaphor, so you can copy Message objects around with fairly high performance, and without worrying about resource leaks or double-frees.

The Message class has been designed to minimize unnecessary memory allocation. Copying a Message copies the handle, but does not copy the underlying body. When the AMPS client provides a Message to a MessageHandler function, the data in that Message refers to the buffer that the AMPS client uses to read from the socket. If your application will use the Message after the MessageHandler returns (for example, by dispatching the message to a worker thread), you should use the deepCopy() function to copy the underlying data, since in this case the AMPS client will reuse the underlying buffer once the MessageHandler returns.

If your application has the need to bypass most of the Client infrastructure for some reason when sending commands to AMPS, the Message / Client.send() interface provides the flexibility to do so. In return, your application must provide functionality that is normally provided automatically by the Client (for example, tracking subscriptions for failover, recording the message in the publish store and managing success or failure of the publish, and so on). Although this functionality is available for flexibility, it is rarely needed in practice. 60East recommends using Command objects with Client.execute() and Client.executeAsync() for sending commands to AMPS.

## Member Enumeration Documentation

## ◆ CtorFlag

enum AMPS::Message::CtorFlag

A flag to indicate not to create a body.

Useful for creating a Message that is only going to copy another Message.

## Constructor & Destructor Documentation

## ◆ Message()

AMPS::Message::Message | ( | amps_handle | message_,
|  | bool | owner_ = `false`
| ) |  |
| inline

Constructs a new Message to wrap message.

Only necessary if you're using both the C client and C++.

Parameters

  message_ | the C-client message handle to wrap.
  owner_ | Flag to indicate if this Message object is the owner of message handle and responsible for destroying it.

## Member Function Documentation

## ◆ assignAckType() [1/2]

Message& AMPS::Message::assignAckType | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the AckType header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignAckType() [2/2]

Message& AMPS::Message::assignAckType | ( | const std::string & | v | ) |
| inline

Assigns the value of the AckType header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignBatchSize() [1/2]

Message& AMPS::Message::assignBatchSize | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the BatchSize header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignBatchSize() [2/2]

Message& AMPS::Message::assignBatchSize | ( | const std::string & | v | ) |
| inline

Assigns the value of the BatchSize header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignBookmark() [1/2]

Message& AMPS::Message::assignBookmark | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the Bookmark header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignBookmark() [2/2]

Message& AMPS::Message::assignBookmark | ( | const std::string & | v | ) |
| inline

Assigns the value of the Bookmark header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignClientName() [1/2]

Message& AMPS::Message::assignClientName | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the ClientName header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignClientName() [2/2]

Message& AMPS::Message::assignClientName | ( | const std::string & | v | ) |
| inline

Assigns the value of the ClientName header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignCommand() [1/2]

Message& AMPS::Message::assignCommand | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the Command header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignCommand() [2/2]

Message& AMPS::Message::assignCommand | ( | const std::string & | v | ) |
| inline

Assigns the value of the Command header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignCommandId() [1/2]

Message& AMPS::Message::assignCommandId | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the CommandId header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignCommandId() [2/2]

Message& AMPS::Message::assignCommandId | ( | const std::string & | v | ) |
| inline

Assigns the value of the CommandId header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignCorrelationId() [1/2]

Message& AMPS::Message::assignCorrelationId | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the CorrelationId header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignCorrelationId() [2/2]

Message& AMPS::Message::assignCorrelationId | ( | const std::string & | v | ) |
| inline

Assigns the value of the CorrelationId header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignExpiration() [1/2]

Message& AMPS::Message::assignExpiration | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the Expiration header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignExpiration() [2/2]

Message& AMPS::Message::assignExpiration | ( | const std::string & | v | ) |
| inline

Assigns the value of the Expiration header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignFilter() [1/2]

Message& AMPS::Message::assignFilter | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the Filter header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignFilter() [2/2]

Message& AMPS::Message::assignFilter | ( | const std::string & | v | ) |
| inline

Assigns the value of the Filter header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignGroupSequenceNumber() [1/2]

Message& AMPS::Message::assignGroupSequenceNumber | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the GroupSequenceNumber header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignGroupSequenceNumber() [2/2]

Message& AMPS::Message::assignGroupSequenceNumber | ( | const std::string & | v | ) |
| inline

Assigns the value of the GroupSequenceNumber header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignHeartbeat() [1/2]

Message& AMPS::Message::assignHeartbeat | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the Heartbeat header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignHeartbeat() [2/2]

Message& AMPS::Message::assignHeartbeat | ( | const std::string & | v | ) |
| inline

Assigns the value of the Heartbeat header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignLeasePeriod() [1/2]

Message& AMPS::Message::assignLeasePeriod | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the LeasePeriod header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignLeasePeriod() [2/2]

Message& AMPS::Message::assignLeasePeriod | ( | const std::string & | v | ) |
| inline

Assigns the value of the LeasePeriod header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignMatches() [1/2]

Message& AMPS::Message::assignMatches | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the Matches header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignMatches() [2/2]

Message& AMPS::Message::assignMatches | ( | const std::string & | v | ) |
| inline

Assigns the value of the Matches header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignMessageLength() [1/2]

Message& AMPS::Message::assignMessageLength | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the MessageLength header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignMessageLength() [2/2]

Message& AMPS::Message::assignMessageLength | ( | const std::string & | v | ) |
| inline

Assigns the value of the MessageLength header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignMessageType() [1/2]

Message& AMPS::Message::assignMessageType | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the MessageType header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignMessageType() [2/2]

Message& AMPS::Message::assignMessageType | ( | const std::string & | v | ) |
| inline

Assigns the value of the MessageType header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOptions() [1/2]

Message& AMPS::Message::assignOptions | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the Options header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOptions() [2/2]

Message& AMPS::Message::assignOptions | ( | const std::string & | v | ) |
| inline

Assigns the value of the Options header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOrderBy() [1/2]

Message& AMPS::Message::assignOrderBy | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the OrderBy header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOrderBy() [2/2]

Message& AMPS::Message::assignOrderBy | ( | const std::string & | v | ) |
| inline

Assigns the value of the OrderBy header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipAckType()

Message& AMPS::Message::assignOwnershipAckType | ( | const Field & | f | ) |
| inline

Assigns the value of the AckType header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipBatchSize()

Message& AMPS::Message::assignOwnershipBatchSize | ( | const Field & | f | ) |
| inline

Assigns the value of the BatchSize header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipBookmark()

Message& AMPS::Message::assignOwnershipBookmark | ( | const Field & | f | ) |
| inline

Assigns the value of the Bookmark header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipClientName()

Message& AMPS::Message::assignOwnershipClientName | ( | const Field & | f | ) |
| inline

Assigns the value of the ClientName header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipCommand()

Message& AMPS::Message::assignOwnershipCommand | ( | const Field & | f | ) |
| inline

Assigns the value of the Command header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipCommandId()

Message& AMPS::Message::assignOwnershipCommandId | ( | const Field & | f | ) |
| inline

Assigns the value of the CommandId header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipCorrelationId()

Message& AMPS::Message::assignOwnershipCorrelationId | ( | const Field & | f | ) |
| inline

Assigns the value of the CorrelationId header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipExpiration()

Message& AMPS::Message::assignOwnershipExpiration | ( | const Field & | f | ) |
| inline

Assigns the value of the Expiration header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipFilter()

Message& AMPS::Message::assignOwnershipFilter | ( | const Field & | f | ) |
| inline

Assigns the value of the Filter header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipGroupSequenceNumber()

Message& AMPS::Message::assignOwnershipGroupSequenceNumber | ( | const Field & | f | ) |
| inline

Assigns the value of the GroupSequenceNumber header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipHeartbeat()

Message& AMPS::Message::assignOwnershipHeartbeat | ( | const Field & | f | ) |
| inline

Assigns the value of the Heartbeat header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipLeasePeriod()

Message& AMPS::Message::assignOwnershipLeasePeriod | ( | const Field & | f | ) |
| inline

Assigns the value of the LeasePeriod header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipMatches()

Message& AMPS::Message::assignOwnershipMatches | ( | const Field & | f | ) |
| inline

Assigns the value of the Matches header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipMessageLength()

Message& AMPS::Message::assignOwnershipMessageLength | ( | const Field & | f | ) |
| inline

Assigns the value of the MessageLength header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipMessageType()

Message& AMPS::Message::assignOwnershipMessageType | ( | const Field & | f | ) |
| inline

Assigns the value of the MessageType header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipOrderBy()

Message& AMPS::Message::assignOwnershipOrderBy | ( | const Field & | f | ) |
| inline

Assigns the value of the OrderBy header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipPassword()

Message& AMPS::Message::assignOwnershipPassword | ( | const Field & | f | ) |
| inline

Assigns the value of the Password header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipReason()

Message& AMPS::Message::assignOwnershipReason | ( | const Field & | f | ) |
| inline

Assigns the value of the Reason header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipRecordsInserted()

Message& AMPS::Message::assignOwnershipRecordsInserted | ( | const Field & | f | ) |
| inline

Assigns the value of the RecordsInserted header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipRecordsReturned()

Message& AMPS::Message::assignOwnershipRecordsReturned | ( | const Field & | f | ) |
| inline

Assigns the value of the RecordsReturned header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipRecordsUpdated()

Message& AMPS::Message::assignOwnershipRecordsUpdated | ( | const Field & | f | ) |
| inline

Assigns the value of the RecordsUpdated header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipSequence()

Message& AMPS::Message::assignOwnershipSequence | ( | const Field & | f | ) |
| inline

Assigns the value of the Sequence header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipSowDelete()

Message& AMPS::Message::assignOwnershipSowDelete | ( | const Field & | f | ) |
| inline

Assigns the value of the SowDelete header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipSowKey()

Message& AMPS::Message::assignOwnershipSowKey | ( | const Field & | f | ) |
| inline

Assigns the value of the SowKey header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipSowKeys()

Message& AMPS::Message::assignOwnershipSowKeys | ( | const Field & | f | ) |
| inline

Assigns the value of the SowKeys header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipStatus()

Message& AMPS::Message::assignOwnershipStatus | ( | const Field & | f | ) |
| inline

Assigns the value of the Status header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipSubscriptionIds()

Message& AMPS::Message::assignOwnershipSubscriptionIds | ( | const Field & | f | ) |
| inline

Assigns the value of the SubscriptionIds header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipTimeoutInterval()

Message& AMPS::Message::assignOwnershipTimeoutInterval | ( | const Field & | f | ) |
| inline

Assigns the value of the TimeoutInterval header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipTimestamp()

Message& AMPS::Message::assignOwnershipTimestamp | ( | const Field & | f | ) |
| inline

Assigns the value of the Timestamp header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipTopic()

Message& AMPS::Message::assignOwnershipTopic | ( | const Field & | f | ) |
| inline

Assigns the value of the Topic header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipTopicMatches()

Message& AMPS::Message::assignOwnershipTopicMatches | ( | const Field & | f | ) |
| inline

Assigns the value of the TopicMatches header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipTopNRecordsReturned()

Message& AMPS::Message::assignOwnershipTopNRecordsReturned | ( | const Field & | f | ) |
| inline

Assigns the value of the TopNRecordsReturned header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipUserId()

Message& AMPS::Message::assignOwnershipUserId | ( | const Field & | f | ) |
| inline

Assigns the value of the UserId header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignOwnershipVersion()

Message& AMPS::Message::assignOwnershipVersion | ( | const Field & | f | ) |
| inline

Assigns the value of the Version header for this Message without copying and makes this Message responsible for deleting the value.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignPassword() [1/2]

Message& AMPS::Message::assignPassword | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the Password header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignPassword() [2/2]

Message& AMPS::Message::assignPassword | ( | const std::string & | v | ) |
| inline

Assigns the value of the Password header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignQueryID() [1/2]

Message& AMPS::Message::assignQueryID | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the QueryID header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignQueryId() [1/2]

Message& AMPS::Message::assignQueryId | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the QueryID header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignQueryID() [2/2]

Message& AMPS::Message::assignQueryID | ( | const std::string & | v | ) |
| inline

Assigns the value of the QueryID header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignQueryId() [2/2]

Message& AMPS::Message::assignQueryId | ( | const std::string & | v | ) |
| inline

Assigns the value of the QueryID header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignReason() [1/2]

Message& AMPS::Message::assignReason | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the Reason header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignReason() [2/2]

Message& AMPS::Message::assignReason | ( | const std::string & | v | ) |
| inline

Assigns the value of the Reason header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignRecordsInserted() [1/2]

Message& AMPS::Message::assignRecordsInserted | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the RecordsInserted header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignRecordsInserted() [2/2]

Message& AMPS::Message::assignRecordsInserted | ( | const std::string & | v | ) |
| inline

Assigns the value of the RecordsInserted header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignRecordsReturned() [1/2]

Message& AMPS::Message::assignRecordsReturned | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the RecordsReturned header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignRecordsReturned() [2/2]

Message& AMPS::Message::assignRecordsReturned | ( | const std::string & | v | ) |
| inline

Assigns the value of the RecordsReturned header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignRecordsUpdated() [1/2]

Message& AMPS::Message::assignRecordsUpdated | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the RecordsUpdated header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignRecordsUpdated() [2/2]

Message& AMPS::Message::assignRecordsUpdated | ( | const std::string & | v | ) |
| inline

Assigns the value of the RecordsUpdated header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignSequence() [1/2]

Message& AMPS::Message::assignSequence | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the Sequence header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignSequence() [2/2]

Message& AMPS::Message::assignSequence | ( | const std::string & | v | ) |
| inline

Assigns the value of the Sequence header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignSowDelete() [1/2]

Message& AMPS::Message::assignSowDelete | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the SowDelete header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignSowDelete() [2/2]

Message& AMPS::Message::assignSowDelete | ( | const std::string & | v | ) |
| inline

Assigns the value of the SowDelete header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignSowKey() [1/2]

Message& AMPS::Message::assignSowKey | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the SowKey header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignSowKey() [2/2]

Message& AMPS::Message::assignSowKey | ( | const std::string & | v | ) |
| inline

Assigns the value of the SowKey header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignSowKeys() [1/2]

Message& AMPS::Message::assignSowKeys | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the SowKeys header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignSowKeys() [2/2]

Message& AMPS::Message::assignSowKeys | ( | const std::string & | v | ) |
| inline

Assigns the value of the SowKeys header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignStatus() [1/2]

Message& AMPS::Message::assignStatus | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the Status header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignStatus() [2/2]

Message& AMPS::Message::assignStatus | ( | const std::string & | v | ) |
| inline

Assigns the value of the Status header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignSubId() [1/2]

Message& AMPS::Message::assignSubId | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the SubscriptionId header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignSubId() [2/2]

Message& AMPS::Message::assignSubId | ( | const std::string & | v | ) |
| inline

Assigns the value of the SubscriptionId header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignSubscriptionId() [1/2]

Message& AMPS::Message::assignSubscriptionId | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the SubscriptionId header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignSubscriptionId() [2/2]

Message& AMPS::Message::assignSubscriptionId | ( | const std::string & | v | ) |
| inline

Assigns the value of the SubscriptionId header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignSubscriptionIds() [1/2]

Message& AMPS::Message::assignSubscriptionIds | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the SubscriptionIds header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignSubscriptionIds() [2/2]

Message& AMPS::Message::assignSubscriptionIds | ( | const std::string & | v | ) |
| inline

Assigns the value of the SubscriptionIds header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignTimeoutInterval() [1/2]

Message& AMPS::Message::assignTimeoutInterval | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the TimeoutInterval header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignTimeoutInterval() [2/2]

Message& AMPS::Message::assignTimeoutInterval | ( | const std::string & | v | ) |
| inline

Assigns the value of the TimeoutInterval header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignTimestamp() [1/2]

Message& AMPS::Message::assignTimestamp | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the Timestamp header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignTimestamp() [2/2]

Message& AMPS::Message::assignTimestamp | ( | const std::string & | v | ) |
| inline

Assigns the value of the Timestamp header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignTopic() [1/2]

Message& AMPS::Message::assignTopic | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the Topic header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignTopic() [2/2]

Message& AMPS::Message::assignTopic | ( | const std::string & | v | ) |
| inline

Assigns the value of the Topic header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignTopicMatches() [1/2]

Message& AMPS::Message::assignTopicMatches | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the TopicMatches header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignTopicMatches() [2/2]

Message& AMPS::Message::assignTopicMatches | ( | const std::string & | v | ) |
| inline

Assigns the value of the TopicMatches header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignTopNRecordsReturned() [1/2]

Message& AMPS::Message::assignTopNRecordsReturned | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the TopNRecordsReturned header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignTopNRecordsReturned() [2/2]

Message& AMPS::Message::assignTopNRecordsReturned | ( | const std::string & | v | ) |
| inline

Assigns the value of the TopNRecordsReturned header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignUserId() [1/2]

Message& AMPS::Message::assignUserId | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the UserId header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignUserId() [2/2]

Message& AMPS::Message::assignUserId | ( | const std::string & | v | ) |
| inline

Assigns the value of the UserId header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignVersion() [1/2]

Message& AMPS::Message::assignVersion | ( | const char * | data,
|  | size_t | len
| ) |  |
| inline

Assigns the value of the Version header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ assignVersion() [2/2]

Message& AMPS::Message::assignVersion | ( | const std::string & | v | ) |
| inline

Assigns the value of the Version header for this Message without copying.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ decodeSingleAckType()

static AckType::Type AMPS::Message::decodeSingleAckType | ( | const char * | begin,
|  | const char * | end
| ) |  |
| inline static

Decodes a single ack string.

Use getAckTypeEnum for strings that may contain multiple acks (e.g. 'processed,persisted')

## ◆ getAckType()

Field AMPS::Message::getAckType | ( |  | ) | const
| inline

Retrieves the value of the AckType header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getAckTypeEnum()

unsigned AMPS::Message::getAckTypeEnum | ( |  | ) | const
| inline

Decode self's "ack type" field and return the corresponding bitmask of values from AckType.

This method returns unsigned instead of AckType::Type since AckType does not contain unique entries for every possible combination of ack types.

## ◆ getBatchSize()

Field AMPS::Message::getBatchSize | ( | void |  | ) | const
| inline

Retrieves the value of the BatchSize header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getBookmark()

Field AMPS::Message::getBookmark | ( |  | ) | const
| inline

Retrieves the value of the Bookmark header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getClientName()

Field AMPS::Message::getClientName | ( |  | ) | const
| inline

Retrieves the value of the ClientName header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getCommand()

Field AMPS::Message::getCommand | ( |  | ) | const
| inline

Retrieves the value of the Command header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getCommandId()

Field AMPS::Message::getCommandId | ( |  | ) | const
| inline

Retrieves the value of the CommandId header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getCorrelationId()

Field AMPS::Message::getCorrelationId | ( |  | ) | const
| inline

Retrieves the value of the CorrelationId header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getData()

Field AMPS::Message::getData | ( |  | ) | const
| inline

Returns the data from this message.

This function returns a Field that contains a pointer to the data in the message. This function does not make a copy of the data.

## ◆ getExpiration()

Field AMPS::Message::getExpiration | ( |  | ) | const
| inline

Retrieves the value of the Expiration header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getFilter()

Field AMPS::Message::getFilter | ( |  | ) | const
| inline

Retrieves the value of the Filter header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getGroupSequenceNumber()

Field AMPS::Message::getGroupSequenceNumber | ( |  | ) | const
| inline

Retrieves the value of the GroupSequenceNumber header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getHeartbeat()

Field AMPS::Message::getHeartbeat | ( |  | ) | const
| inline

Retrieves the value of the Heartbeat header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getLeasePeriod()

Field AMPS::Message::getLeasePeriod | ( |  | ) | const
| inline

Retrieves the value of the LeasePeriod header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getMatches()

Field AMPS::Message::getMatches | ( |  | ) | const
| inline

Retrieves the value of the Matches header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getMessageLength()

Field AMPS::Message::getMessageLength | ( |  | ) | const
| inline

Retrieves the value of the MessageLength header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getMessageType()

Field AMPS::Message::getMessageType | ( |  | ) | const
| inline

Retrieves the value of the MessageType header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getOptions()

Field AMPS::Message::getOptions | ( |  | ) | const
| inline

Retrieves the value of the Options header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getOrderBy()

Field AMPS::Message::getOrderBy | ( |  | ) | const
| inline

Retrieves the value of the OrderBy header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getPassword()

Field AMPS::Message::getPassword | ( |  | ) | const
| inline

Retrieves the value of the Password header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getQueryID()

Field AMPS::Message::getQueryID | ( |  | ) | const
| inline

Retrieves the value of the QueryID header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getQueryId()

Field AMPS::Message::getQueryId | ( |  | ) | const
| inline

Retrieves the value of the QueryID header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawAckType()

void AMPS::Message::getRawAckType | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the AckType header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawBatchSize()

void AMPS::Message::getRawBatchSize | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the BatchSize header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawBookmark()

void AMPS::Message::getRawBookmark | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the Bookmark header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawClientName()

void AMPS::Message::getRawClientName | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the ClientName header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawCommand()

void AMPS::Message::getRawCommand | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the Command header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawCommandId()

void AMPS::Message::getRawCommandId | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the CommandId header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawCorrelationId()

void AMPS::Message::getRawCorrelationId | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the CorrelationId header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawExpiration()

void AMPS::Message::getRawExpiration | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the Expiration header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawFilter()

void AMPS::Message::getRawFilter | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the Filter header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawGroupSequenceNumber()

void AMPS::Message::getRawGroupSequenceNumber | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the GroupSequenceNumber header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawHeartbeat()

void AMPS::Message::getRawHeartbeat | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the Heartbeat header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawLeasePeriod()

void AMPS::Message::getRawLeasePeriod | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the LeasePeriod header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawMatches()

void AMPS::Message::getRawMatches | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the Matches header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawMessageLength()

void AMPS::Message::getRawMessageLength | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the MessageLength header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawMessageType()

void AMPS::Message::getRawMessageType | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the MessageType header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawOptions()

void AMPS::Message::getRawOptions | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the Options header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawOrderBy()

void AMPS::Message::getRawOrderBy | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the OrderBy header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawPassword()

void AMPS::Message::getRawPassword | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the Password header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawQueryID()

void AMPS::Message::getRawQueryID | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the QueryID header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawQueryId()

void AMPS::Message::getRawQueryId | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the QueryID header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawReason()

void AMPS::Message::getRawReason | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the Reason header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawRecordsInserted()

void AMPS::Message::getRawRecordsInserted | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the RecordsInserted header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawRecordsReturned()

void AMPS::Message::getRawRecordsReturned | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the RecordsReturned header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawRecordsUpdated()

void AMPS::Message::getRawRecordsUpdated | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the RecordsUpdated header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawSequence()

void AMPS::Message::getRawSequence | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the Sequence header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawSowDelete()

void AMPS::Message::getRawSowDelete | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the SowDelete header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawSowKey()

void AMPS::Message::getRawSowKey | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the SowKey header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawSowKeys()

void AMPS::Message::getRawSowKeys | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the SowKeys header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawStatus()

void AMPS::Message::getRawStatus | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the Status header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawSubId()

void AMPS::Message::getRawSubId | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the SubscriptionId header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawSubscriptionId()

void AMPS::Message::getRawSubscriptionId | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the SubscriptionId header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawSubscriptionIds()

void AMPS::Message::getRawSubscriptionIds | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the SubscriptionIds header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawTimeoutInterval()

void AMPS::Message::getRawTimeoutInterval | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the TimeoutInterval header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawTimestamp()

void AMPS::Message::getRawTimestamp | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the Timestamp header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawTopic()

void AMPS::Message::getRawTopic | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the Topic header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawTopicMatches()

void AMPS::Message::getRawTopicMatches | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the TopicMatches header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawTopNRecordsReturned()

void AMPS::Message::getRawTopNRecordsReturned | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the TopNRecordsReturned header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawTransmissionTime()

void AMPS::Message::getRawTransmissionTime | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Deprecated:
  Use getRawTimestamp.

Get self's "timestamp" field.

Parameters

  dataptr | The pointer to be set to the timestamp.
  sizeptr | The pointer to be set with the timestamp length.

## ◆ getRawUserId()

void AMPS::Message::getRawUserId | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the UserId header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRawVersion()

void AMPS::Message::getRawVersion | ( | const char ** | dataptr,
|  | size_t * | sizeptr
| ) |  | const
| inline

Modifies the passed in arguments to reference the value of the Version header of self in the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getReason()

Field AMPS::Message::getReason | ( |  | ) | const
| inline

Retrieves the value of the Reason header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRecordsInserted()

Field AMPS::Message::getRecordsInserted | ( |  | ) | const
| inline

Retrieves the value of the RecordsInserted header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRecordsReturned()

Field AMPS::Message::getRecordsReturned | ( |  | ) | const
| inline

Retrieves the value of the RecordsReturned header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getRecordsUpdated()

Field AMPS::Message::getRecordsUpdated | ( |  | ) | const
| inline

Retrieves the value of the RecordsUpdated header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getSequence()

Field AMPS::Message::getSequence | ( |  | ) | const
| inline

Retrieves the value of the Sequence header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getSowDelete()

Field AMPS::Message::getSowDelete | ( |  | ) | const
| inline

Retrieves the value of the SowDelete header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getSowKey()

Field AMPS::Message::getSowKey | ( |  | ) | const
| inline

Retrieves the value of the SowKey header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getSowKeys()

Field AMPS::Message::getSowKeys | ( |  | ) | const
| inline

Retrieves the value of the SowKeys header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getStatus()

Field AMPS::Message::getStatus | ( |  | ) | const
| inline

Retrieves the value of the Status header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getSubId()

Field AMPS::Message::getSubId | ( |  | ) | const
| inline

Retrieves the value of the SubscriptionId header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getSubscriptionId()

Field AMPS::Message::getSubscriptionId | ( |  | ) | const
| inline

Retrieves the value of the SubscriptionId header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getSubscriptionIds()

Field AMPS::Message::getSubscriptionIds | ( |  | ) | const
| inline

Retrieves the value of the SubscriptionIds header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getTimeoutInterval()

Field AMPS::Message::getTimeoutInterval | ( |  | ) | const
| inline

Retrieves the value of the TimeoutInterval header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getTimestamp()

Field AMPS::Message::getTimestamp | ( |  | ) | const
| inline

Retrieves the value of the Timestamp header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getTopic()

Field AMPS::Message::getTopic | ( |  | ) | const
| inline

Retrieves the value of the Topic header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getTopicMatches()

Field AMPS::Message::getTopicMatches | ( |  | ) | const
| inline

Retrieves the value of the TopicMatches header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getTopNRecordsReturned()

Field AMPS::Message::getTopNRecordsReturned | ( |  | ) | const
| inline

Retrieves the value of the TopNRecordsReturned header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getTransmissionTime()

Field AMPS::Message::getTransmissionTime | ( |  | ) | const
| inline

Deprecated:
  Use getTimestamp.

Get self's "timestamp" field.

Returns
  The timestamp Field

## ◆ getUserId()

Field AMPS::Message::getUserId | ( |  | ) | const
| inline

Retrieves the value of the UserId header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ getVersion()

Field AMPS::Message::getVersion | ( |  | ) | const
| inline

Retrieves the value of the Version header of the Message as a Field which references the underlying buffer managed by this Message.

Notice that not all headers are present on all messages returned by AMPS. See the AMPS Command Reference for details on which fields will be present in response to a specific command.

## ◆ newAckType()

Message& AMPS::Message::newAckType | ( |  | ) |
| inline

Creates and sets a new sequential value for the AckType header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newBatchSize()

Message& AMPS::Message::newBatchSize | ( |  | ) |
| inline

Creates and sets a new sequential value for the BatchSize header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newBookmark()

Message& AMPS::Message::newBookmark | ( |  | ) |
| inline

Creates and sets a new sequential value for the Bookmark header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newClientName()

Message& AMPS::Message::newClientName | ( |  | ) |
| inline

Creates and sets a new sequential value for the ClientName header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newCommand()

Message& AMPS::Message::newCommand | ( |  | ) |
| inline

Creates and sets a new sequential value for the Command header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newCommandId()

Message& AMPS::Message::newCommandId | ( |  | ) |
| inline

Creates and sets a new sequential value for the CommandId header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newCorrelationId()

Message& AMPS::Message::newCorrelationId | ( |  | ) |
| inline

Creates and sets a new sequential value for the CorrelationId header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newExpiration()

Message& AMPS::Message::newExpiration | ( |  | ) |
| inline

Creates and sets a new sequential value for the Expiration header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newFilter()

Message& AMPS::Message::newFilter | ( |  | ) |
| inline

Creates and sets a new sequential value for the Filter header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newGroupSequenceNumber()

Message& AMPS::Message::newGroupSequenceNumber | ( |  | ) |
| inline

Creates and sets a new sequential value for the GroupSequenceNumber header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newHeartbeat()

Message& AMPS::Message::newHeartbeat | ( |  | ) |
| inline

Creates and sets a new sequential value for the Heartbeat header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newLeasePeriod()

Message& AMPS::Message::newLeasePeriod | ( |  | ) |
| inline

Creates and sets a new sequential value for the LeasePeriod header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newMatches()

Message& AMPS::Message::newMatches | ( |  | ) |
| inline

Creates and sets a new sequential value for the Matches header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newMessageLength()

Message& AMPS::Message::newMessageLength | ( |  | ) |
| inline

Creates and sets a new sequential value for the MessageLength header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newMessageType()

Message& AMPS::Message::newMessageType | ( |  | ) |
| inline

Creates and sets a new sequential value for the MessageType header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newOrderBy()

Message& AMPS::Message::newOrderBy | ( |  | ) |
| inline

Creates and sets a new sequential value for the OrderBy header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newPassword()

Message& AMPS::Message::newPassword | ( |  | ) |
| inline

Creates and sets a new sequential value for the Password header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newQueryID()

Message& AMPS::Message::newQueryID | ( |  | ) |
| inline

Creates and sets a new sequential value for the QueryID header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newQueryId()

Message& AMPS::Message::newQueryId | ( |  | ) |
| inline

Creates and sets a new sequential value for the QueryID header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newReason()

Message& AMPS::Message::newReason | ( |  | ) |
| inline

Creates and sets a new sequential value for the Reason header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newRecordsInserted()

Message& AMPS::Message::newRecordsInserted | ( |  | ) |
| inline

Creates and sets a new sequential value for the RecordsInserted header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newRecordsReturned()

Message& AMPS::Message::newRecordsReturned | ( |  | ) |
| inline

Creates and sets a new sequential value for the RecordsReturned header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newRecordsUpdated()

Message& AMPS::Message::newRecordsUpdated | ( |  | ) |
| inline

Creates and sets a new sequential value for the RecordsUpdated header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newSequence()

Message& AMPS::Message::newSequence | ( |  | ) |
| inline

Creates and sets a new sequential value for the Sequence header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newSowDelete()

Message& AMPS::Message::newSowDelete | ( |  | ) |
| inline

Creates and sets a new sequential value for the SowDelete header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newSowKey()

Message& AMPS::Message::newSowKey | ( |  | ) |
| inline

Creates and sets a new sequential value for the SowKey header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newSowKeys()

Message& AMPS::Message::newSowKeys | ( |  | ) |
| inline

Creates and sets a new sequential value for the SowKeys header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newStatus()

Message& AMPS::Message::newStatus | ( |  | ) |
| inline

Creates and sets a new sequential value for the Status header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newSubId()

Message& AMPS::Message::newSubId | ( |  | ) |
| inline

Creates and sets a new sequential value for the SubscriptionId header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newSubscriptionId()

Message& AMPS::Message::newSubscriptionId | ( |  | ) |
| inline

Creates and sets a new sequential value for the SubscriptionId header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newSubscriptionIds()

Message& AMPS::Message::newSubscriptionIds | ( |  | ) |
| inline

Creates and sets a new sequential value for the SubscriptionIds header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newTimeoutInterval()

Message& AMPS::Message::newTimeoutInterval | ( |  | ) |
| inline

Creates and sets a new sequential value for the TimeoutInterval header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newTimestamp()

Message& AMPS::Message::newTimestamp | ( |  | ) |
| inline

Creates and sets a new sequential value for the Timestamp header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newTopic()

Message& AMPS::Message::newTopic | ( |  | ) |
| inline

Creates and sets a new sequential value for the Topic header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newTopicMatches()

Message& AMPS::Message::newTopicMatches | ( |  | ) |
| inline

Creates and sets a new sequential value for the TopicMatches header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newTopNRecordsReturned()

Message& AMPS::Message::newTopNRecordsReturned | ( |  | ) |
| inline

Creates and sets a new sequential value for the TopNRecordsReturned header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newUserId()

Message& AMPS::Message::newUserId | ( |  | ) |
| inline

Creates and sets a new sequential value for the UserId header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ newVersion()

Message& AMPS::Message::newVersion | ( |  | ) |
| inline

Creates and sets a new sequential value for the Version header for this Message.

This function is most useful for headers such as CommandId and SubId.

## ◆ setAckType() [1/4]

Message& AMPS::Message::setAckType | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the AckType header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setAckType() [2/4]

Message& AMPS::Message::setAckType | ( | const char * | str | ) |
| inline

Sets the value of the AckType header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setAckType() [3/4]

Message& AMPS::Message::setAckType | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the AckType header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setAckType() [4/4]

Message& AMPS::Message::setAckType | ( | const std::string & | v | ) |
| inline

Sets the value of the AckType header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setAckTypeEnum()

Message& AMPS::Message::setAckTypeEnum | ( | unsigned | ackType_ | ) |
| inline

Encode self's "ack type" field from a bitmask of values from AckType.

This method is passed an unsigned instead of AckType::Type since AckType does not contain unique entries for every possible combination of ack types.

## ◆ setBatchSize() [1/4]

Message& AMPS::Message::setBatchSize | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the BatchSize header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setBatchSize() [2/4]

Message& AMPS::Message::setBatchSize | ( | const char * | str | ) |
| inline

Sets the value of the BatchSize header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setBatchSize() [3/4]

Message& AMPS::Message::setBatchSize | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the BatchSize header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setBatchSize() [4/4]

Message& AMPS::Message::setBatchSize | ( | const std::string & | v | ) |
| inline

Sets the value of the BatchSize header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setBookmark() [1/4]

Message& AMPS::Message::setBookmark | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the Bookmark header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setBookmark() [2/4]

Message& AMPS::Message::setBookmark | ( | const char * | str | ) |
| inline

Sets the value of the Bookmark header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setBookmark() [3/4]

Message& AMPS::Message::setBookmark | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the Bookmark header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setBookmark() [4/4]

Message& AMPS::Message::setBookmark | ( | const std::string & | v | ) |
| inline

Sets the value of the Bookmark header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setClientName() [1/4]

Message& AMPS::Message::setClientName | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the ClientName header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setClientName() [2/4]

Message& AMPS::Message::setClientName | ( | const char * | str | ) |
| inline

Sets the value of the ClientName header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setClientName() [3/4]

Message& AMPS::Message::setClientName | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the ClientName header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setClientName() [4/4]

Message& AMPS::Message::setClientName | ( | const std::string & | v | ) |
| inline

Sets the value of the ClientName header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setCommand() [1/4]

Message& AMPS::Message::setCommand | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the Command header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setCommand() [2/4]

Message& AMPS::Message::setCommand | ( | const char * | str | ) |
| inline

Sets the value of the Command header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setCommand() [3/4]

Message& AMPS::Message::setCommand | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the Command header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setCommand() [4/4]

Message& AMPS::Message::setCommand | ( | const std::string & | v | ) |
| inline

Sets the value of the Command header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setCommandId() [1/4]

Message& AMPS::Message::setCommandId | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the CommandId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setCommandId() [2/4]

Message& AMPS::Message::setCommandId | ( | const char * | str | ) |
| inline

Sets the value of the CommandId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setCommandId() [3/4]

Message& AMPS::Message::setCommandId | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the CommandId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setCommandId() [4/4]

Message& AMPS::Message::setCommandId | ( | const std::string & | v | ) |
| inline

Sets the value of the CommandId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setCorrelationId() [1/4]

Message& AMPS::Message::setCorrelationId | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the CorrelationId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setCorrelationId() [2/4]

Message& AMPS::Message::setCorrelationId | ( | const char * | str | ) |
| inline

Sets the value of the CorrelationId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setCorrelationId() [3/4]

Message& AMPS::Message::setCorrelationId | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the CorrelationId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setCorrelationId() [4/4]

Message& AMPS::Message::setCorrelationId | ( | const std::string & | v | ) |
| inline

Sets the value of the CorrelationId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setData() [1/3]

Message& AMPS::Message::setData | ( | const char * | data_ | ) |
| inline

Sets the data portion of self from a null-terminated string.

Parameters

  data_ | a pointer to your null-terminated data.

## ◆ setData() [2/3]

Message& AMPS::Message::setData | ( | const char * | data_,
|  | size_t | length_
| ) |  |
| inline

Sets the data portion of self from a char array.

Parameters

  data_ | a pointer to your data
  length_ | the length, in bytes, of your data (excluding any null-terminator)

## ◆ setData() [3/3]

Message& AMPS::Message::setData | ( | const std::string & | v_ | ) |
| inline

Sets the data portion of self.

Parameters

  v_ | the string containing your data

## ◆ setExpiration() [1/4]

Message& AMPS::Message::setExpiration | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the Expiration header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setExpiration() [2/4]

Message& AMPS::Message::setExpiration | ( | const char * | str | ) |
| inline

Sets the value of the Expiration header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setExpiration() [3/4]

Message& AMPS::Message::setExpiration | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the Expiration header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setExpiration() [4/4]

Message& AMPS::Message::setExpiration | ( | const std::string & | v | ) |
| inline

Sets the value of the Expiration header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setFilter() [1/4]

Message& AMPS::Message::setFilter | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the Filter header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setFilter() [2/4]

Message& AMPS::Message::setFilter | ( | const char * | str | ) |
| inline

Sets the value of the Filter header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setFilter() [3/4]

Message& AMPS::Message::setFilter | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the Filter header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setFilter() [4/4]

Message& AMPS::Message::setFilter | ( | const std::string & | v | ) |
| inline

Sets the value of the Filter header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setGroupSequenceNumber() [1/4]

Message& AMPS::Message::setGroupSequenceNumber | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the GroupSequenceNumber header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setGroupSequenceNumber() [2/4]

Message& AMPS::Message::setGroupSequenceNumber | ( | const char * | str | ) |
| inline

Sets the value of the GroupSequenceNumber header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setGroupSequenceNumber() [3/4]

Message& AMPS::Message::setGroupSequenceNumber | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the GroupSequenceNumber header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setGroupSequenceNumber() [4/4]

Message& AMPS::Message::setGroupSequenceNumber | ( | const std::string & | v | ) |
| inline

Sets the value of the GroupSequenceNumber header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setHeartbeat() [1/4]

Message& AMPS::Message::setHeartbeat | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the Heartbeat header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setHeartbeat() [2/4]

Message& AMPS::Message::setHeartbeat | ( | const char * | str | ) |
| inline

Sets the value of the Heartbeat header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setHeartbeat() [3/4]

Message& AMPS::Message::setHeartbeat | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the Heartbeat header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setHeartbeat() [4/4]

Message& AMPS::Message::setHeartbeat | ( | const std::string & | v | ) |
| inline

Sets the value of the Heartbeat header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setLeasePeriod() [1/4]

Message& AMPS::Message::setLeasePeriod | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the LeasePeriod header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setLeasePeriod() [2/4]

Message& AMPS::Message::setLeasePeriod | ( | const char * | str | ) |
| inline

Sets the value of the LeasePeriod header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setLeasePeriod() [3/4]

Message& AMPS::Message::setLeasePeriod | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the LeasePeriod header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setLeasePeriod() [4/4]

Message& AMPS::Message::setLeasePeriod | ( | const std::string & | v | ) |
| inline

Sets the value of the LeasePeriod header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setMatches() [1/4]

Message& AMPS::Message::setMatches | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the Matches header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setMatches() [2/4]

Message& AMPS::Message::setMatches | ( | const char * | str | ) |
| inline

Sets the value of the Matches header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setMatches() [3/4]

Message& AMPS::Message::setMatches | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the Matches header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setMatches() [4/4]

Message& AMPS::Message::setMatches | ( | const std::string & | v | ) |
| inline

Sets the value of the Matches header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setMessageLength() [1/4]

Message& AMPS::Message::setMessageLength | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the MessageLength header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setMessageLength() [2/4]

Message& AMPS::Message::setMessageLength | ( | const char * | str | ) |
| inline

Sets the value of the MessageLength header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setMessageLength() [3/4]

Message& AMPS::Message::setMessageLength | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the MessageLength header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setMessageLength() [4/4]

Message& AMPS::Message::setMessageLength | ( | const std::string & | v | ) |
| inline

Sets the value of the MessageLength header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setMessageType() [1/4]

Message& AMPS::Message::setMessageType | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the MessageType header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setMessageType() [2/4]

Message& AMPS::Message::setMessageType | ( | const char * | str | ) |
| inline

Sets the value of the MessageType header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setMessageType() [3/4]

Message& AMPS::Message::setMessageType | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the MessageType header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setMessageType() [4/4]

Message& AMPS::Message::setMessageType | ( | const std::string & | v | ) |
| inline

Sets the value of the MessageType header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setOptions() [1/3]

Message& AMPS::Message::setOptions | ( | const char * | str | ) |
| inline

Sets the value of the Options header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setOptions() [2/3]

Message& AMPS::Message::setOptions | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the Options header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setOptions() [3/3]

Message& AMPS::Message::setOptions | ( | const std::string & | v | ) |
| inline

Sets the value of the Options header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setOrderBy() [1/4]

Message& AMPS::Message::setOrderBy | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the OrderBy header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setOrderBy() [2/4]

Message& AMPS::Message::setOrderBy | ( | const char * | str | ) |
| inline

Sets the value of the OrderBy header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setOrderBy() [3/4]

Message& AMPS::Message::setOrderBy | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the OrderBy header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setOrderBy() [4/4]

Message& AMPS::Message::setOrderBy | ( | const std::string & | v | ) |
| inline

Sets the value of the OrderBy header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setPassword() [1/4]

Message& AMPS::Message::setPassword | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the Password header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setPassword() [2/4]

Message& AMPS::Message::setPassword | ( | const char * | str | ) |
| inline

Sets the value of the Password header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setPassword() [3/4]

Message& AMPS::Message::setPassword | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the Password header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setPassword() [4/4]

Message& AMPS::Message::setPassword | ( | const std::string & | v | ) |
| inline

Sets the value of the Password header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setQueryID() [1/4]

Message& AMPS::Message::setQueryID | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the QueryID header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setQueryId() [1/4]

Message& AMPS::Message::setQueryId | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the QueryID header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setQueryId() [2/4]

Message& AMPS::Message::setQueryId | ( | const char * | str | ) |
| inline

Sets the value of the QueryID header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setQueryID() [2/4]

Message& AMPS::Message::setQueryID | ( | const char * | str | ) |
| inline

Sets the value of the QueryID header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setQueryId() [3/4]

Message& AMPS::Message::setQueryId | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the QueryID header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setQueryID() [3/4]

Message& AMPS::Message::setQueryID | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the QueryID header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setQueryId() [4/4]

Message& AMPS::Message::setQueryId | ( | const std::string & | v | ) |
| inline

Sets the value of the QueryID header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setQueryID() [4/4]

Message& AMPS::Message::setQueryID | ( | const std::string & | v | ) |
| inline

Sets the value of the QueryID header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setReason() [1/4]

Message& AMPS::Message::setReason | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the Reason header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setReason() [2/4]

Message& AMPS::Message::setReason | ( | const char * | str | ) |
| inline

Sets the value of the Reason header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setReason() [3/4]

Message& AMPS::Message::setReason | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the Reason header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setReason() [4/4]

Message& AMPS::Message::setReason | ( | const std::string & | v | ) |
| inline

Sets the value of the Reason header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setRecordsInserted() [1/4]

Message& AMPS::Message::setRecordsInserted | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the RecordsInserted header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setRecordsInserted() [2/4]

Message& AMPS::Message::setRecordsInserted | ( | const char * | str | ) |
| inline

Sets the value of the RecordsInserted header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setRecordsInserted() [3/4]

Message& AMPS::Message::setRecordsInserted | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the RecordsInserted header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setRecordsInserted() [4/4]

Message& AMPS::Message::setRecordsInserted | ( | const std::string & | v | ) |
| inline

Sets the value of the RecordsInserted header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setRecordsReturned() [1/4]

Message& AMPS::Message::setRecordsReturned | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the RecordsReturned header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setRecordsReturned() [2/4]

Message& AMPS::Message::setRecordsReturned | ( | const char * | str | ) |
| inline

Sets the value of the RecordsReturned header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setRecordsReturned() [3/4]

Message& AMPS::Message::setRecordsReturned | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the RecordsReturned header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setRecordsReturned() [4/4]

Message& AMPS::Message::setRecordsReturned | ( | const std::string & | v | ) |
| inline

Sets the value of the RecordsReturned header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setRecordsUpdated() [1/4]

Message& AMPS::Message::setRecordsUpdated | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the RecordsUpdated header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setRecordsUpdated() [2/4]

Message& AMPS::Message::setRecordsUpdated | ( | const char * | str | ) |
| inline

Sets the value of the RecordsUpdated header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setRecordsUpdated() [3/4]

Message& AMPS::Message::setRecordsUpdated | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the RecordsUpdated header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setRecordsUpdated() [4/4]

Message& AMPS::Message::setRecordsUpdated | ( | const std::string & | v | ) |
| inline

Sets the value of the RecordsUpdated header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSequence() [1/4]

Message& AMPS::Message::setSequence | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the Sequence header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSequence() [2/4]

Message& AMPS::Message::setSequence | ( | const char * | str | ) |
| inline

Sets the value of the Sequence header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSequence() [3/4]

Message& AMPS::Message::setSequence | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the Sequence header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSequence() [4/4]

Message& AMPS::Message::setSequence | ( | const std::string & | v | ) |
| inline

Sets the value of the Sequence header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSowDelete() [1/4]

Message& AMPS::Message::setSowDelete | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the SowDelete header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSowDelete() [2/4]

Message& AMPS::Message::setSowDelete | ( | const char * | str | ) |
| inline

Sets the value of the SowDelete header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSowDelete() [3/4]

Message& AMPS::Message::setSowDelete | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the SowDelete header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSowDelete() [4/4]

Message& AMPS::Message::setSowDelete | ( | const std::string & | v | ) |
| inline

Sets the value of the SowDelete header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSowKey() [1/4]

Message& AMPS::Message::setSowKey | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the SowKey header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSowKey() [2/4]

Message& AMPS::Message::setSowKey | ( | const char * | str | ) |
| inline

Sets the value of the SowKey header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSowKey() [3/4]

Message& AMPS::Message::setSowKey | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the SowKey header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSowKey() [4/4]

Message& AMPS::Message::setSowKey | ( | const std::string & | v | ) |
| inline

Sets the value of the SowKey header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSowKeys() [1/4]

Message& AMPS::Message::setSowKeys | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the SowKeys header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSowKeys() [2/4]

Message& AMPS::Message::setSowKeys | ( | const char * | str | ) |
| inline

Sets the value of the SowKeys header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSowKeys() [3/4]

Message& AMPS::Message::setSowKeys | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the SowKeys header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSowKeys() [4/4]

Message& AMPS::Message::setSowKeys | ( | const std::string & | v | ) |
| inline

Sets the value of the SowKeys header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setStatus() [1/4]

Message& AMPS::Message::setStatus | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the Status header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setStatus() [2/4]

Message& AMPS::Message::setStatus | ( | const char * | str | ) |
| inline

Sets the value of the Status header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setStatus() [3/4]

Message& AMPS::Message::setStatus | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the Status header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setStatus() [4/4]

Message& AMPS::Message::setStatus | ( | const std::string & | v | ) |
| inline

Sets the value of the Status header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSubId() [1/4]

Message& AMPS::Message::setSubId | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the SubscriptionId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSubId() [2/4]

Message& AMPS::Message::setSubId | ( | const char * | str | ) |
| inline

Sets the value of the SubscriptionId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSubId() [3/4]

Message& AMPS::Message::setSubId | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the SubscriptionId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSubId() [4/4]

Message& AMPS::Message::setSubId | ( | const std::string & | v | ) |
| inline

Sets the value of the SubscriptionId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSubscriptionId() [1/4]

Message& AMPS::Message::setSubscriptionId | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the SubscriptionId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSubscriptionId() [2/4]

Message& AMPS::Message::setSubscriptionId | ( | const char * | str | ) |
| inline

Sets the value of the SubscriptionId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSubscriptionId() [3/4]

Message& AMPS::Message::setSubscriptionId | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the SubscriptionId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSubscriptionId() [4/4]

Message& AMPS::Message::setSubscriptionId | ( | const std::string & | v | ) |
| inline

Sets the value of the SubscriptionId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSubscriptionIds() [1/4]

Message& AMPS::Message::setSubscriptionIds | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the SubscriptionIds header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSubscriptionIds() [2/4]

Message& AMPS::Message::setSubscriptionIds | ( | const char * | str | ) |
| inline

Sets the value of the SubscriptionIds header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSubscriptionIds() [3/4]

Message& AMPS::Message::setSubscriptionIds | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the SubscriptionIds header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setSubscriptionIds() [4/4]

Message& AMPS::Message::setSubscriptionIds | ( | const std::string & | v | ) |
| inline

Sets the value of the SubscriptionIds header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTimeoutInterval() [1/4]

Message& AMPS::Message::setTimeoutInterval | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the TimeoutInterval header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTimeoutInterval() [2/4]

Message& AMPS::Message::setTimeoutInterval | ( | const char * | str | ) |
| inline

Sets the value of the TimeoutInterval header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTimeoutInterval() [3/4]

Message& AMPS::Message::setTimeoutInterval | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the TimeoutInterval header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTimeoutInterval() [4/4]

Message& AMPS::Message::setTimeoutInterval | ( | const std::string & | v | ) |
| inline

Sets the value of the TimeoutInterval header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTimestamp() [1/4]

Message& AMPS::Message::setTimestamp | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the Timestamp header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTimestamp() [2/4]

Message& AMPS::Message::setTimestamp | ( | const char * | str | ) |
| inline

Sets the value of the Timestamp header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTimestamp() [3/4]

Message& AMPS::Message::setTimestamp | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the Timestamp header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTimestamp() [4/4]

Message& AMPS::Message::setTimestamp | ( | const std::string & | v | ) |
| inline

Sets the value of the Timestamp header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTopic() [1/4]

Message& AMPS::Message::setTopic | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the Topic header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTopic() [2/4]

Message& AMPS::Message::setTopic | ( | const char * | str | ) |
| inline

Sets the value of the Topic header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTopic() [3/4]

Message& AMPS::Message::setTopic | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the Topic header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTopic() [4/4]

Message& AMPS::Message::setTopic | ( | const std::string & | v | ) |
| inline

Sets the value of the Topic header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTopicMatches() [1/4]

Message& AMPS::Message::setTopicMatches | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the TopicMatches header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTopicMatches() [2/4]

Message& AMPS::Message::setTopicMatches | ( | const char * | str | ) |
| inline

Sets the value of the TopicMatches header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTopicMatches() [3/4]

Message& AMPS::Message::setTopicMatches | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the TopicMatches header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTopicMatches() [4/4]

Message& AMPS::Message::setTopicMatches | ( | const std::string & | v | ) |
| inline

Sets the value of the TopicMatches header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTopNRecordsReturned() [1/4]

Message& AMPS::Message::setTopNRecordsReturned | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the TopNRecordsReturned header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTopNRecordsReturned() [2/4]

Message& AMPS::Message::setTopNRecordsReturned | ( | const char * | str | ) |
| inline

Sets the value of the TopNRecordsReturned header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTopNRecordsReturned() [3/4]

Message& AMPS::Message::setTopNRecordsReturned | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the TopNRecordsReturned header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setTopNRecordsReturned() [4/4]

Message& AMPS::Message::setTopNRecordsReturned | ( | const std::string & | v | ) |
| inline

Sets the value of the TopNRecordsReturned header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setUserId() [1/4]

Message& AMPS::Message::setUserId | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the UserId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setUserId() [2/4]

Message& AMPS::Message::setUserId | ( | const char * | str | ) |
| inline

Sets the value of the UserId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setUserId() [3/4]

Message& AMPS::Message::setUserId | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the UserId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setUserId() [4/4]

Message& AMPS::Message::setUserId | ( | const std::string & | v | ) |
| inline

Sets the value of the UserId header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setVersion() [1/4]

Message& AMPS::Message::setVersion | ( | amps_uint64_t | v | ) |
| inline

Sets the value of the Version header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setVersion() [2/4]

Message& AMPS::Message::setVersion | ( | const char * | str | ) |
| inline

Sets the value of the Version header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setVersion() [3/4]

Message& AMPS::Message::setVersion | ( | const char * | str,
|  | size_t | len
| ) |  |
| inline

Sets the value of the Version header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

## ◆ setVersion() [4/4]

Message& AMPS::Message::setVersion | ( | const std::string & | v | ) |
| inline

Sets the value of the Version header for this Message.

Not all headers are processed by AMPS for all commands. See the AMPS Command Reference for which headers are used by AMPS for a specific command.

The documentation for this class was generated from the following files:

- include/amps/Message.hpp
- include/amps/ampsplusplus.hpp